<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/activate_config_each_content_height"
        android:layout_marginTop="@dimen/activate_config_each_content_margin_top"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/tv_activate_config_custom_common_batch_no"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:text="生产批号： "
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />

        <EditText
            android:id="@+id/et_activate_config_custom_common_batch_no"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/et_common_bg"
            android:gravity="center_vertical"
            android:hint="请输入生产批号"
            android:inputType="number"
            android:maxLength="9"
            android:paddingLeft="2dip"
            android:singleLine="true"
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/lin_activate_config_custom_common_producer"
        android:layout_width="match_parent"
        android:layout_height="@dimen/activate_config_each_content_height"
        android:layout_marginTop="@dimen/activate_config_each_content_margin_top"
        android:orientation="horizontal" >

        <TextView
            android:id="@+id/tv_activate_config_custom_common_producer"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:text="生  产  者： "
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />

        <EditText
            android:id="@+id/et_activate_config_custom_common_producer"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/et_common_bg"
            android:gravity="center_vertical"
            android:hint="请输入生产者"
            android:maxLength="20"
            android:paddingLeft="2dip"
            android:singleLine="true"
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/lin_activate_config_group"
        android:layout_width="match_parent"
        android:layout_height="@dimen/activate_config_each_content_height"
        android:layout_marginTop="@dimen/activate_config_each_content_margin_top"
        android:orientation="horizontal"
        android:visibility="gone" >

        <TextView
            android:id="@+id/tv_activate_config_group"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:text="生产班组： "
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />

        <RelativeLayout
            android:id="@+id/rel_activate_config_group"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/et_common_bg"
            android:orientation="horizontal" >

            <ImageView
                android:id="@+id/btn_activate_config_content"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_alignParentRight="true"
                android:src="@drawable/spinner_right_bg" />

            <TextView
                android:id="@+id/tv_activate_config_group_content"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_toLeftOf="@+id/btn_activate_config_content"
                android:gravity="center_vertical"
                android:paddingLeft="2dip"
                android:textSize="@dimen/activate_config_each_content_text_size_sp" />
        </RelativeLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/lin_group_number"
        android:layout_width="match_parent"
        android:layout_height="@dimen/activate_config_each_content_height"
        android:layout_marginTop="@dimen/activate_config_each_content_margin_top"
        android:orientation="horizontal"
        android:visibility="gone" >

        <TextView
            android:id="@+id/tv_activate_config_custom_group_number"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:text="班组号码： "
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />

        <EditText
            android:id="@+id/et_activate_config_custom_group_number"
            android:layout_width="0dip"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/et_common_bg"
            android:gravity="center_vertical"
            android:hint="请输入班组号码"
            android:maxLength="20"
            android:paddingLeft="2dip"
            android:singleLine="true"
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/lin_p_image"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/activate_config_each_content_margin_top"
        android:orientation="horizontal"
        android:visibility="gone" >

        <TextView
            android:id="@+id/tv_activate_config_custom_common_p_image"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:text="产品图片： "
            android:textSize="@dimen/activate_config_each_content_text_size_sp" />

        <ImageView
            android:id="@+id/image_activate_config_custom_common_p_image"
            android:layout_width="80dip"
            android:layout_height="80dip"
            android:gravity="center_vertical"
            android:maxLength="20"
            android:scaleType="fitCenter"
            android:src="@drawable/product_image_bg_default" />
    </LinearLayout>
    <LinearLayout
            android:id="@+id/lin_package_label"
            android:layout_width="match_parent"
            android:layout_height="@dimen/pack_config_each_content_height"
            android:layout_marginTop="10dip"
            android:gravity="center_vertical"
            android:visibility="gone"
            android:orientation="horizontal" >

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:text="包  标  签： "
                android:textSize="@dimen/activate_config_each_content_text_size_sp" />

            <EditText
                android:id="@+id/et_package_label"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="4"
                android:background="@drawable/et_common_bg"
                android:gravity="center_vertical"
                android:inputType="number"
                android:maxLines="1"
                android:paddingLeft="2dip"
                android:maxLength="16"
                android:textSize="@dimen/activate_config_each_content_text_size_sp" />

            <Button
                android:id="@+id/btn_package_label_scanner"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="2dp"
                android:layout_marginRight="2dp"
                android:background="@drawable/bg_btn_barcode_selector"
                android:singleLine="true" />
        </LinearLayout>
        <LinearLayout
            android:id="@+id/lin_pack_count"
            android:layout_width="match_parent"
            android:layout_height="@dimen/pack_config_each_content_height"
            android:layout_marginTop="10dip"
            android:gravity="center_vertical"
            android:visibility="gone"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:text="预设数量： "
                android:textSize="@dimen/activate_config_each_content_text_size_sp" />

            <EditText
                android:id="@+id/et_pack_count"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@drawable/et_common_bg"
                android:gravity="center"
                android:inputType="number"
                android:maxLines="1"
                android:maxLength="4"
                android:paddingLeft="2dip"
                android:textSize="@dimen/activate_config_each_content_text_size_sp" />
        </LinearLayout>
        <LinearLayout
            android:id="@+id/farmers"
            android:layout_width="match_parent"
            android:layout_height="@dimen/pack_config_each_content_height"
            android:layout_marginTop="10dip"
            android:gravity="center_vertical"
           	android:visibility="gone"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:text="养 殖 户 ： "
                android:textSize="@dimen/activate_config_each_content_text_size_sp" />
            <Spinner 
                android:id="@+id/farmers_spinner"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                
                
                
                />
        </LinearLayout>

</LinearLayout>